Skip to content
POST/{organizationId}/{mandateId}/finance/receipts/preview

Get receipt preview

Returns a preview of a persisted receipt or the provided unsaved receipt data

Required permissions:

  • mandate.read

  • receipt.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

receiptIdstringoptional

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/finance/receipts/preview
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/receipts/preview' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "receiptId": "string",
  "receiptData": {
    "address": {
      "country": "string",
      "zip": "string",
      "city": "string",
      "addressLine": "string"
    },
    "note": "string",
    "positions": [
      {
        "unitAmount": 0,
        "discount": 0,
        "description": "string",
        "account": 1
      }
    ],
    "receiptDate": "string",
    "title": "string",
    "type": "invoice",
    "intro": "string"
  }
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

documentstringrequired
pagesnumberrequired

Response

200
{
  "document": "string",
  "pages": 1
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}